Check task status

Calling this endpoint retrieves the current processing status of the task with ID: task_id.

GET
/api/statistics/tennis/{task_id}/status

Authorization

AuthorizationBearer <token>required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

In: header

Path Parameters

task_idstring<uuid>required

Response Body

The current processing status of the task was returned

application/json
dataobjectoptional
task_idstring<uuid>required
Example"52921d5c-eb41-45d6-96a8-f2da5616c717"
video_urlstringrequired
Example"https://example.com/video/3cab8744-fd22-4efe-a5f4-9a7fc8ad3716.mp4"
task_statusstringrequired
Allowed values"pending""in_progress""completed""failed""abandoned""canceled"
task_progressnumberrequired
Example0.45
total_subtask_progressnumberoptional
Example0.125
subtask_progressobjectoptional
curl -X GET "https://example.com/api/statistics/tennis/52921d5c-eb41-45d6-96a8-f2da5616c717/status"
{  "data": {    "task_id": "52921d5c-eb41-45d6-96a8-f2da5616c717",    "video_url": "https://example.com/video/3cab8744-fd22-4efe-a5f4-9a7fc8ad3716.mp4",    "task_status": "pending",    "task_progress": 0.45,    "total_subtask_progress": 0.125,    "subtask_progress": {      "property1": 0.5,      "property2": 0.5    }  }}